from fastapi import APIRouter, Body

from app.schemas.user_schemas import UserRegisterSchema, UserLoginSchema

from app.services.user_service import create_user

router = APIRouter(
    prefix="/user",
    tags=["User"]
)


@router.delete("/delete", summary="Delete user")
async def delete_user():
    raise NotImplementedError("delete_user() needs to be implemented.")


@router.post("/login", summary="User login")
async def login(login_data: UserLoginSchema):
    raise NotImplementedError("login() needs to be implemented.")
    # user = authenticate_user(form_data.username, form_data.password)
    # if not user:
    #     raise HTTPException(
    #         status_code=status.HTTP_401_UNAUTHORIZED,
    #         detail="Incorrect username or password",
    #         headers={"WWW-Authenticate": "Bearer"},
    #     )
    # access_token_expires = timedelta(minutes=30)
    # access_token = create_access_token(
    #     data={"sub": user.username}, expires_delta=access_token_expires
    # )
    # return Token(access_token=access_token, token_type="bearer")

@router.delete("/logout", summary="User logout")
async def logout():
    raise NotImplementedError("logout() needs to be implemented.")


@router.post("/register", summary="Register new user")
async def register(user_data: UserRegisterSchema):
    create_user(user_data)
    return {"message": "User registered successfully"}


@router.put("/update", summary="Update user details")
async def update_user(data: dict = Body(...)):
    raise NotImplementedError("update_user() needs to be implemented.")
